﻿using System;
using System.Threading.Tasks;
using InternshipSystem.Api.Result;
using InternshipSystem.Core;
using InternshipSystem.Repository;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace InternshipSystem.Api.Controllers
{
    [Route("edition")]
    public class EditionController : ControllerBase
    {
        private InternshipDbContext Context { get; }

        public EditionController(InternshipDbContext context)
        {
            Context = context;
        }
        
        /// <summary>
        /// Get current edition parameters
        /// </summary>
        /// <response code="200">Parameters of edition registered for by student</response>
        /// <response code="401">This action is only available for authorized student registered for current edition</response>
        /// <returns></returns>
        [HttpGet]
        [ProducesResponseType(StatusCodes.Status200OK)]
        public async Task<ActionResult<EditionResult>> GetCurrentEdition() =>
            throw new NotImplementedException();
    }
}