﻿using System;
using System.Threading.Tasks;
using InternshipSystem.Api.Result;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace InternshipSystem.Api.Controllers
{
    [ApiController]
    [Route("register")]
    public class RegistrationController : ControllerBase
    {
        /// <summary>
        /// Register student for edition using provided registration code
        /// </summary>
        /// <param name="registrationCode">GUID of edition </param>
        /// <returns></returns>
        /// <response code="200">If the student was successfully registered</response>
        /// <response code="400">If the provided registration code was malformed</response>
        /// <response code="404">The registration code doesn't match any open edition</response>
        [HttpPost]
        [ProducesResponseType(StatusCodes.Status200OK)]
        [ProducesResponseType(StatusCodes.Status400BadRequest)]
        [ProducesResponseType(StatusCodes.Status404NotFound)]
        public async Task<IActionResult> RegisterStudentForEdition([FromBody] Guid registrationCode) =>
            throw new NotImplementedException();
        
        
    }
}